"use strict";
/******************************************************************************
 * Copyright 2022 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.keys = exports.merge = void 0;
function merge(target, source) {
    keys(source).forEach(key => {
        const sourceValue = source[key];
        const targetValue = target[key];
        target[key] = isObj(sourceValue) && isObj(targetValue) ? merge(targetValue, sourceValue) : sourceValue;
    });
    return target;
}
exports.merge = merge;
function isObj(t) {
    return t !== null && typeof t === 'object' && !Array.isArray(t);
}
function keys(t) {
    return [...Object.keys(t), ...Object.getOwnPropertySymbols(t)];
}
exports.keys = keys;
//# sourceMappingURL=merge.js.map